uk.gov.hmrc.payeestimator.services

# PAYEAggregateBuilder

###
Related Doc: package services

#### case class PAYEAggregateBuilder(taxCode: String, bandId: Int, payeTaxAmount: Money, taxCalcResource: TaxCalcResource) extends Builder with TaxCalculatorHelper with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, TaxCalculatorHelper, Builder, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PAYEAggregateBuilder
2. Serializable
3. Serializable
4. Product
5. Equals
6. TaxCalculatorHelper
7. Builder
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new PAYEAggregateBuilder(taxCode: String, bandId: Int, payeTaxAmount: Money, taxCalcResource: TaxCalcResource)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val bandId: Int

6. #### def build(): AggregationBuildResult

   Definition Classes
     PAYEAggregateBuilder → Builder

7. #### def calculateAggregationTotal(aggregation: Seq[Aggregation]): BigDecimal

   Attributes
     protected
   Definition Classes
     Builder

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def isAdjustedTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

13. #### def isBasicRateTaxCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

14. #### def isEmergencyTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def isMainTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

17. #### def isStandardTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

18. #### def isTaxableCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

19. #### def isUnTaxedIncomeTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

20. #### def isValidScottishTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

21. #### def isValidTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val payeTaxAmount: Money

26. #### def rateLimit(limitType: String): PartialFunction[RateLimit, Money]

    Definition Classes
      TaxCalculatorHelper

27. #### def removeCountryElementFromTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

28. #### def splitTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): String

    Definition Classes
      TaxCalculatorHelper

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### val taxCalcResource: TaxCalcResource

31. #### val taxCode: String

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from TaxCalculatorHelper

### Inherited from Builder

### Inherited from AnyRef

### Inherited from Any

### Ungrouped